stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
stdex::chrono::aosn_date Struct Reference

AOsn date. More...

`#include <stdex/chrono.hpp>`

## Public Types
using | rep = int32_t
using | period = std::ratio<86400>
using | duration = std::chrono::duration<rep, period>
using | time_point = std::chrono::time_point<aosn_date>

## Static Public Member Functions
static time_point | now () noexcept
| Gets current date.
static std::time_t | to_time_t (const time_point tp) noexcept
| Returns time_t from time point.
static time_point | from_time_t (std::time_t t) noexcept
| Returns time point from time_t.
static time_point | from_system (const struct timespec &t) noexcept
| Returns time point from struct timespec.
static time_point | from_dmy (uint8_t day, uint8_t month, int32_t year) noexcept
| Returns time point from calendar day, month and year.
static void | to_dmy (const time_point tp, uint8_t *day, uint8_t *month, int32_t *year) noexcept
| Returns calendar day, month and year from time point.
static uint8_t | day_of_week (const time_point tp)
| Returns day-of-week from time point (0 = Mon, 1 = Tue...)
static uint8_t | day_of_week (uint8_t day, uint8_t month, int32_t year)
| Returns day-of-week from calendar day, month and year (0 = Mon, 1 = Tue...)

## Static Public Attributes
static constexpr bool | is_steady = false

## Detailed Description

AOsn date.

The documentation for this struct was generated from the following file:

- include/stdex/chrono.hpp